package com.cr.map

/**
 * 操作系统：MAC系统
 * 创建者：王成
 * 创建日期：2023/4/13 15:31
 * 描述：地图动作
 */
enum class EventMapAction {
    /**
     * 没有任何动作
     */
    MapTapNon,
    /**
     * 涂鸦动作
     */
    MapTapSelectTy,
    /**
     * 微信分享上传动作
     */
    MapTapCaseWxAndUpload,
    /**
     * 添加标志动作
     */
    MapTapAppendICO,
    /**
     * 选择标志动作
     */
    MapTapSelectICO,
    /**
     * 添加违建点动作
     */
    MapTapAddWaypoint,
    /**
     * 选择违建点动作
     */
    MapTapSelectWaypoint,
    /**
     * 长度测量动作
     */
    MapTapSurveyLength,
    /**
     * 面积测量动作
     */
    MapTapSurveyArea,
    /**
     * 删除违建点动作
     */
    MapTapDeleteWaypoing,
    /**
     * 移动违建点动作
     */
    MapTapMoveWaypoing,
    /**
     * 移动中动作
     */
    MapTapMovingWaypoint,
    /**
     * 创建违建面动作
     */
    MapTapCreateCasePolygon,
    /**
     * 查询网络案件动作
     */
    MapTapQueryNetCase,
    /**
     * 查询本地案件动作
     */
    MapTapQueryLocalCase,
    /**
     * 添加复飞点动作
     */
    MapTapAddRepeatFlight,
    /**
     * 查询位置动作
     */
    MapTapGetLocation,
}